{%- comment -%} Capture the content for header containing the tracking data {%- endcomment -%}
{%- capture contentForQuerystring -%}{{ content_for_header }}{%- endcapture -%}

{% comment %} Use string splitting to pull the value from content_for_header and apply some string clean up {% endcomment %}
{%- assign pageUrl = contentForQuerystring | split:'"pageurl":"' | last | split:'"' | first | split:'.myshopify.com' | last |
  replace:'\/','/' |
  replace:'%20',' ' |
  replace:'\u0026','&' |
  url_decode
-%}

{% assign custom_login = 'false' %}
{% assign custom_logout = 'false' %}
{% assign action = '' %}


{%- for i in (1..1) -%}
  {%- comment -%} If the string doesn't contain a ? then we have no querystring. Go no further {%- endcomment -%}
  {%- unless pageUrl contains "?" -%}{% break %}{%- endunless -%}

  {%- comment -%} Only work when the cache qs is used. Be aware of the perf issues with using cache=false {%- endcomment -%}
  {%- unless pageUrl contains "cache=false" -%}{% break %}{%- endunless -%}

  {%- comment -%} Split the url at the ? to get all values after it {%- endcomment -%}
  {%- assign pageQuerystring = pageUrl | split:'?' | last -%}

  {%- comment -%} Split the remaining string at & to get the list of keys and values (if any) {%- endcomment -%}
  {%- assign parts = pageQuerystring | split:'&' -%}

  {%- comment -%} Loop over them... {%- endcomment -%}
  {%- for part in parts -%}

    {%- comment -%} Split the part at the =. Not all querystrings will be in pairs so we need to account for that {%- endcomment -%}
    {%- assign keyAndValue = part | split:'=' -%}

    {%- if keyAndValue.size > 1 -%}

      {%- comment -%} If request for custom login logic. {%- endcomment -%}
      {% if keyAndValue[0] == 'customer-login' and keyAndValue[1] == 'true' %}
        {% assign custom_login = 'true' %}
      {% endif %}

	  {% if keyAndValue[0] == 'customer-logout' and keyAndValue[1] == 'true' %}
        {% assign custom_logout = 'true' %}
      {% endif %}

      {%- comment -%} If request for customer login check logic. {%- endcomment -%}
      {% if keyAndValue[0] == 'action' and keyAndValue[1] == 'check-login' %}
        {% assign action = 'check-login' %}
      {% endif %}

    {%- endif -%}

  {%- endfor -%}
{%- endfor -%}

<script type="text/javascript" src="/apps/byi-standalone/assets/js/jquery.min-v2.1.4.js"></script>
<script>
  
   $.urlParam = function(name){
    var results = new RegExp('[\?&]' + name + '=([^&#]*)').exec(window.location.href);
    if (results==null) {
      return null;
    }
    return decodeURI(results[1]) || 0;
  }
   
 jQuery( document ).ready( function() { 
 
  {%- comment -%} If request fofr custom login {%- endcomment -%}
  
  if($.urlParam('customer-login') != '' && $.urlParam('customer-login') != null){
      // Add custom class in body
      jQuery('body').addClass('byi-custom-login');     

      // If there is more than one input which name is 'checkout_url' than remove first.
      if ( jQuery('input[name="checkout_url"]').length > 1 ) {
        jQuery('.custom_login_url').remove();
      }

      {%- comment -%}
      Full URL may not work in some domain
      var url = window.location.href;
      {%- endcomment -%}
      var url = '/account/login'+window.location.search;
      jQuery('.custom_login_url').attr('value', url);

      // Hide all div, exclude - form#customer_login
      jQuery('#customer_login a[href$="register"], #customer_login a[href$=recover]').remove();
    	jQuery('#login').css({"text-align": "center", "margin-top": "30px","margin-bottom": "0px" })
      jQuery('.recover-form').remove();
      jQuery('#recover').remove();
    
      var node = document.getElementById('customer_login');
      htmlContent = node.outerHTML;    
      jQuery('body > *').hide().remove('#customer_login');
      jQuery('body').html(htmlContent);
  }
  
  
  if($.urlParam('customer-login') != '' && $.urlParam('customer-login') != null){ 
  
    {%- comment -%} If customer account is enable {%- endcomment -%}
    {% if shop.customer_accounts_enabled %}

      {%- comment -%} If customer is login {%- endcomment -%}
      {% if customer and customer.id != "" %}
      	jQuery('<div class="byi-loader"></div>').prependTo( "body" );  
        document.location.href = '/apps/byi-standalone?request=customer-login&id={{ customer.id }}';
      {% else %}

      {%- comment -%} If customer is not login and this is check request {%- endcomment -%}
      if($.urlParam('action') != '' && $.urlParam('action') != null){
          jQuery('<div class="byi-loader"></div>').prependTo( "body" );
          document.location.href = '/apps/byi-standalone?request=customer-login&id=';
      }

      {% endif %}

    {%- comment -%} If customer account is disable {%- endcomment -%}
    {% else %}
      document.location.href = '/apps/byi-standalone?request=customer-login&id=';
    {% endif %}
  }
  
  if($.urlParam('customer-logout') != '' && $.urlParam('customer-logout') != null){ 
    {%- comment -%} If customer account is enable {%- endcomment -%}
    {% if shop.customer_accounts_enabled %}
      {%- comment -%} If customer is login {%- endcomment -%}
      {% if customer and customer.id != "" %}       
      	jQuery('<div class="byi-loader"></div>').prependTo( "body" );
		$.ajax( 'account/logout' ).done(function() {
          /* Here you can perform required things to achieve  i.e. redirect to specific url, reload same page*/
   		document.location.href = '/apps/byi-standalone?request=customer-logout&id={{customer.id}}';  
    	});       
      {% endif %}
    {%- comment -%} If customer account is disable {%- endcomment -%}
    {% else %}
      document.location.href = '/apps/byi-standalone?request=customer-login&id=';
    {% endif %}
  }
   
 }); 

</script>
